Bug 979261 - duplicate job ids in the result of command 'bkr job-list --completeDays 10'
duplicate job ids in the result of command 'bkr job-list --completeDays 10'
Status: NEW
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.13
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-28 02:02 EDT by wangjing
Modified: 2016-05-26 09:23 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-06-28 02:02:12 EDT
Description of problem:
duplicate job ids were returned in the result of  command 'bkr job-list --completeDays 10'

Version-Release number of selected component (if applicable):
beaker-devel Version - 0.13.1

How reproducible:
always

Steps to Reproduce:
1. run bkr job-list --completeDays 10
2. check the result job list.
3.

Actual results:
several job ids are duplicated, see details in Additional info.

Expected results:
only return one job id.

Additional info:
["J:581", "J:580", "J:579", "J:578", "J:577", "J:576", "J:575", "J:574", "J:573", "J:572", "J:571", "J:569", "J:568", "J:564", "J:563", "J:562", "J:561", "J:559",
"J:556", "J:556", "J:556", "J:556", "J:556", "J:556", "J:556", "J:556",
"J:551", "J:551", "J:551",
"J:550", "J:550",
"J:549", "J:549",
"J:548", "J:548", "J:548",
"J:546", "J:546", "J:546",
"J:545", "J:545", "J:545",
"J:544", "J:544", "J:544",
"J:543", "J:543", "J:543",
"J:542", "J:541",
"J:540", "J:540",
"J:539", "J:539",
"J:538", "J:538", "J:538",
"J:537", "J:537", "J:537",
"J:536", "J:536", "J:536",
"J:535", "J:535", "J:535",
"J:534", "J:534", "J:534",
"J:533", "J:533", "J:533",
"J:532", "J:532", "J:532",
"J:531",
"J:530", "J:530",
"J:528",
"J:527", "J:527", "J:527",
"J:526", "J:526", "J:526",
"J:525", "J:525", "J:525",
"J:524", "J:524", "J:524",
"J:520", "J:520", "J:520",
"J:510", "J:510", "J:510",
"J:508", "J:508",
"J:507", "J:507", "J:507",
"J:506",
"J:505", "J:505", "J:505",
"J:504", "J:504", "J:504",
"J:503", "J:503", "J:503",
"J:502",
"J:501", "J:501", "J:501",
"J:500", "J:500",
"J:498", "J:498", "J:498",
"J:497", "J:497", "J:497",
"J:492", "J:491", "J:487", "J:486",
"J:484", "J:484",
"J:482", "J:482", "J:482", "J:482", "J:482", "J:482", "J:482", "J:482",
"J:480", "J:477", "J:476", "J:475", "J:474", "J:471", "J:464", "J:463", "J:462", "J:461", "J:460", "J:459", "J:458", "J:457", "J:456", "J:455", "J:454", "J:452", "J:448", "J:447", "J:446", "J:445", "J:444", "J:443", "J:442", "J:441", "J:440", "J:439", "J:434", "J:427", "J:426", "J:400", "J:399", "J:398", "J:397", "J:396", "J:395", "J:394", "J:393", "J:392", "J:391", "J:383", "J:381", "J:367", "J:365", "J:364", "J:363", "J:361", "J:360", "J:358", "J:356", "J:350", "J:348", "J:347", "J:346", "J:344", "J:343", "J:337", "J:330", "J:329", "J:328", "J:326", "J:325", "J:324", "J:323", "J:322", "J:321", "J:319", "J:318", "J:317", "J:316", "J:299", "J:299",
"J:298", "J:298",
"J:297", "J:297",
"J:296",
"J:255", "J:255",
"J:251", "J:250", "J:249", "J:248",
"J:232", "J:232",
"J:228", "J:134"]
Comment 1 wangjing 2013-06-28 02:04:53 EDT
and I found another problem in this job list:
"J:296" is not completed, it is aborted, but it was also returned in the list, is it due to the same reason with problem in comment0?
if not, let me file a new bug.
thanks.
Comment 3 Dan Callaghan 2013-07-10 02:53:29 EDT
(In reply to wangjing from comment #1)
> and I found another problem in this job list:
> "J:296" is not completed, it is aborted, but it was also returned in the
> list

This is expected behaviour. The option --completeDays is poorly named, it really means "jobs which finished X days ago". A job is finished when it is Aborted, Cancelled, or Completed.

Note You need to log in before you can comment on or make changes to this bug.